Show / Hide Table of Contents

# Class RestGuildIntegration

##### Inheritance

System.Object
RestEntity<System.UInt64>
RestGuildIntegration

##### Implements

IEntity<System.UInt64>
IGuildIntegration

##### Inherited Members

RestEntity<UInt64>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestGuildIntegration : RestEntity<ulong>, IEntity<ulong>, IGuildIntegration

### Properties

| Improve this Doc View Source

#### Account

##### Declaration

    public IntegrationAccount Account { get; }

##### Property Value

Type | Description
--- | ---
IntegrationAccount |

| Improve this Doc View Source

#### ExpireBehavior

##### Declaration

    public ulong ExpireBehavior { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### ExpireGracePeriod

##### Declaration

    public ulong ExpireGracePeriod { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### GuildId

##### Declaration

    public ulong GuildId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### IsEnabled

##### Declaration

    public bool IsEnabled { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsSyncing

##### Declaration

    public bool IsSyncing { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Name

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### RoleId

##### Declaration

    public ulong RoleId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### SyncedAt

##### Declaration

    public DateTimeOffset SyncedAt { get; }

##### Property Value

Type | Description
--- | ---
System.DateTimeOffset |

| Improve this Doc View Source

#### Type

##### Declaration

    public string Type { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### User

##### Declaration

    public RestUser User { get; }

##### Property Value

Type | Description
--- | ---
RestUser |

### Methods

| Improve this Doc View Source

#### DeleteAsync()

##### Declaration

    public Task DeleteAsync()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### ModifyAsync(Action<GuildIntegrationProperties>)

##### Declaration

    public Task ModifyAsync(Action<GuildIntegrationProperties> func)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<GuildIntegrationProperties> | func |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### SyncAsync()

##### Declaration

    public Task SyncAsync()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()

### Explicit Interface Implementations

| Improve this Doc View Source

#### IGuildIntegration.Guild

##### Declaration

    IGuild IGuildIntegration.Guild { get; }

##### Returns

Type | Description
--- | ---
IGuild |

| Improve this Doc View Source

#### IGuildIntegration.User

##### Declaration

    IUser IGuildIntegration.User { get; }

##### Returns

Type | Description
--- | ---
IUser |

### Implements

IEntity<TId>
IGuildIntegration